#
# Conditional build:
%bcond_without	tests	# unit tests

%define		pdir	B
%define		pnam	Utils
Summary:	B::Utils - helper functions for op tree manipulation
Summary(pl.UTF-8):	B::Utils - funkcje pomocnicze do operacji na drzewie op
Name:		perl-B-Utils
Version:	0.27
Release:	8
License:	GPL or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/B/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	340d6461afcec016ce6d0a0ba27290ba
URL:		https://metacpan.org/dist/B-Utils
BuildRequires:	perl-ExtUtils-Depends >= 0.302
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
These functions make it easier to manipulate the op tree.

%description -l pl.UTF-8
Te funkcje ułatwiają operacje na drzewie op.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorarch}/B/Utils.pm
%dir %{perl_vendorarch}/B/Utils
%dir %{perl_vendorarch}/B/Utils/Install
%{perl_vendorarch}/B/Utils/Install/BUtils.h
%{perl_vendorarch}/B/Utils/Install/Files.pm
%{perl_vendorarch}/B/Utils/Install/typemap
%{perl_vendorarch}/B/Utils/OP.pm
%dir %{perl_vendorarch}/auto/B
%dir %{perl_vendorarch}/auto/B/Utils
%attr(755,root,root) %{perl_vendorarch}/auto/B/Utils/Utils.so
%{_mandir}/man3/B::Utils*.3pm*
%changelog
* Sat Jun 29 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-B-Utils.git;a=log;h=master

* Sat Jun 29 2024 Jan Palus <atler@pld-linux.org> c2d76d6
- perl 5.40.0 rebuild

* Thu Aug 24 2023 Jakub Bogusz <qboosh@pld-linux.org> a519f39
- updated URL

* Thu Jul 06 2023 Jan Palus <atler@pld-linux.org> 80a2228
- perl 5.38.0 rebuild

* Mon Aug 22 2022 Jan Palus <atler@pld-linux.org> 1eaeef0
- perl 5.36.0 rebuild

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> 0ae60a9
- rebuild with perl 5.34.0

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> 216214c
- rebuild with perl 5.32

* Wed Oct 07 2020 Jakub Bogusz <qboosh@pld-linux.org> 5cf730d
- macros version to ensure perl macros are loaded

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 45bb96b
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> 7940b50
- rebuild with perl 5.30.0
- release 3 (by relup.sh)

* Mon Aug 27 2018 Marcin Krol <hawk@tld-linux.org> e19bfe8
- release 2

* Thu Mar 08 2018 Marcin Krol <hawk@tld-linux.org> dc54f3d
- updated to 0.27

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 4bddcae
- perl req/prov fix
- release 9 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> f904db4
- rebuild with perl 5.26
- release 8 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> ac93b8f
- rebuild with perl 5.24.0
- release 7 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 0c2d872
- release 6 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 1c71a7e
- x32 rebuild
- release 5 (by relup.sh)

* Tue Nov 25 2014 Elan Ruusamäe <glen@delfi.ee> 2df5db7
- use generic url

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> 74875de
- release 4 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 8479333
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 5c143d2
- rebuild for perl 5.20
- release 3 (by relup.sh)

